# Interface ICefUrlRequest

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefUrlRequest = interface(ICefBaseRefCounted)`

## Description

Interface used to make a URL request. URL requests are not associated with a browser instance so no ICefClient callbacks will be executed. URL requests can be created on any valid CEF thread in either the browser or render process. Once created the functions of the URL request object must be accessed on the same thread that created it.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_urlrequest_capi.h">CEF source file: /include/capi/cef_urlrequest_capi.h (cef_urlrequest_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefUrlRequest

## Overview

### Methods

| `function GetRequest: ICefRequest;`
| `function GetClient: ICefUrlrequestClient;`
| `function GetRequestStatus: TCefUrlRequestStatus;`
| `function GetRequestError: Integer;`
| `function GetResponse: ICefResponse;`
| `function GetResponseWasCached: boolean;`
| `procedure Cancel;`

### Properties

| `property Request : ICefRequest read GetRequest;`
| `property Client : ICefUrlrequestClient read Getclient;`
| `property RequestStatus : TCefUrlRequestStatus read GetRequestStatus;`
| `property RequestError : Integer read GetRequestError;`
| `property Response : ICefResponse read GetResponse;`
| `property ResponseWasCached : boolean read GetResponseWasCached;`

## Description

### Methods

| `function GetRequest: ICefRequest;`
Returns the request object used to create this URL request. The returned object is read-only and should not be modified. ###### Attributes GUID['{59226AC1-A0FA-4D59-9DF4-A65C42391A67}']

| `function GetClient: ICefUrlrequestClient;`
Returns the client.

| `function GetRequestStatus: TCefUrlRequestStatus;`
Returns the request status.

| `function GetRequestError: Integer;`
Returns the request error if status is UR_CANCELED or UR_FAILED, or 0 otherwise.

| `function GetResponse: ICefResponse;`
Returns the response, or NULL if no response information is available. Response information will only be available after the upload has completed. The returned object is read-only and should not be modified.

| `function GetResponseWasCached: boolean;`
Returns true (1) if the response body was served from the cache. This includes responses for which revalidation was required.

| `procedure Cancel;`
Cancel the request.

### Properties

| `property Request : ICefRequest read GetRequest;`
Returns the request object used to create this URL request. The returned object is read-only and should not be modified.

| `property Client : ICefUrlrequestClient read Getclient;`
Returns the client.

| `property RequestStatus : TCefUrlRequestStatus read GetRequestStatus;`
Returns the request status.

| `property RequestError : Integer read GetRequestError;`
Returns the request error if status is UR_CANCELED or UR_FAILED, or 0 otherwise.

| `property Response : ICefResponse read GetResponse;`
Returns true (1) if the response body was served from the cache. This includes responses for which revalidation was required.

| `property ResponseWasCached : boolean read GetResponseWasCached;`
Returns true (1) if the response body was served from the cache. This includes responses for which revalidation was required.

Generated by PasDoc 0.16.0-snapshot.